aboutsummaryrefslogtreecommitdiffstats
path: root/testing/gnokii/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'testing/gnokii/APKBUILD')
-rw-r--r--testing/gnokii/APKBUILD71
1 files changed, 71 insertions, 0 deletions
diff --git a/testing/gnokii/APKBUILD b/testing/gnokii/APKBUILD
new file mode 100644
index 0000000000..a0017e44fd
--- /dev/null
+++ b/testing/gnokii/APKBUILD
@@ -0,0 +1,71 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=gnokii
+pkgver=0.6.29
+pkgrel=0
+pkgdesc="Tools and user space driver for use with mobile phones"
+url="http://www.gnokii.org/"
+license="GPL"
+depends=""
+subpackages="$pkgname-dev $pkgname-doc libgnokii xgnokii $pkgname-smsd
+ $pkgname-smsd-pgsql:pgsql $pkgname-smsd-mysql:mysql"
+
+makedepends="gtk+-dev mysql-dev intltool libusb-compat-dev libxpm-dev
+ bluez-dev libical-dev postgresql-dev"
+source="http://www.gnokii.org/download/gnokii/gnokii-$pkgver.tar.bz2
+ gnokii.patch"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ cd "$_builddir"
+ sed -i 's|cellphone|phone|' xgnokii/xgnokii.desktop.in
+ patch -Np1 -i "$srcdir/gnokii.patch"
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --enable-security \
+ --disable-unix98test
+ make
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+libgnokii() {
+ pkgdesc="gnokii shared libraries"
+ mkdir -p "$subpkgdir"/usr/lib
+ mv "$pkgdir"/usr/lib/libgnokii.so.* "$subpkgdir"/usr/lib/
+}
+
+xgnokii() {
+ pkgdesk="Gtk+ gnokii application"
+ mkdir -p "$subpkgdir"/usr/bin
+ mv "$pkgdir"/usr/bin/xgnokii "$subpkgdir"/usr/bin/
+}
+
+smsd() {
+ pkgdesc="SMS Daemon for mobile phones"
+ mkdir -p "$subpkgdir"/usr/bin/
+ mv "$pkgdir"/usr/bin/smsd "$subpkgdir"/usr/bin/
+}
+
+pgsql() {
+ pkgdesc="SMSD plugin for PostgreSQL storage backend"
+ depends="gnokii-smsd"
+ mkdir -p "$subpkgdir"/usr/lib/smsd
+ mv "$pkgdir"/usr/lib/smsd/*pq.so "$subpkgdir"/usr/lib/smsd/
+}
+
+mysql() {
+ pkgdesc="SMSD plugin for MySQL storage backend"
+ depends="gnokii-smsd"
+ mkdir -p "$subpkgdir"/usr/lib/smsd
+ mv "$pkgdir"/usr/lib/smsd/*mysql.so "$subpkgdir"/usr/lib/smsd/
+}
+
+md5sums="6111e0158a1129062bda6420db67c313 gnokii-0.6.29.tar.bz2
+4d764727686ee34bc73489c8b1321c82 gnokii.patch"